summaryrefslogtreecommitdiffstats
path: root/network/smb4k
diff options
context:
space:
mode:
author Matteo Bernardini2014-02-02 09:50:12 +0100
committer Willy Sudiarto Raharjo2016-01-17 03:40:16 +0100
commitd3bb6064e87057b120e4133cac529fbc743bbecd (patch)
treee0fbdae3db35bc09a09ec1604399385623b3a726 /network/smb4k
parentaf9b80e5047f19a0ac8a12e12d9e10484606a274 (diff)
downloadslackbuilds-d3bb6064e87057b120e4133cac529fbc743bbecd.tar.gz
network/smb4k: Added (smb share browser).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/smb4k')
-rw-r--r--network/smb4k/README3
-rw-r--r--network/smb4k/doinst.sh30
-rw-r--r--network/smb4k/slack-desc19
-rw-r--r--network/smb4k/smb4k.SlackBuild105
-rw-r--r--network/smb4k/smb4k.info10
5 files changed, 167 insertions, 0 deletions
diff --git a/network/smb4k/README b/network/smb4k/README
new file mode 100644
index 0000000000..a47fd61932
--- /dev/null
+++ b/network/smb4k/README
@@ -0,0 +1,3 @@
+Smb4K is an advanced network neighborhood browser for KDE and a frontend
+to the programs of the Samba software suite. Its purpose is to provide
+a program that's easy to use and has as many features as possible.
diff --git a/network/smb4k/doinst.sh b/network/smb4k/doinst.sh
new file mode 100644
index 0000000000..53c90287d1
--- /dev/null
+++ b/network/smb4k/doinst.sh
@@ -0,0 +1,30 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+# Reload messagebus service
+if [ -x etc/rc.d/rc.messagebus ]; then
+ chroot . /etc/rc.d/rc.messagebus reload
+fi
+
diff --git a/network/smb4k/slack-desc b/network/smb4k/slack-desc
new file mode 100644
index 0000000000..392f44fb1d
--- /dev/null
+++ b/network/smb4k/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+smb4k: smb4k (A SMB Share Browser)
+smb4k:
+smb4k: Smb4K is an advanced network neighborhood browser for KDE and a
+smb4k: frontend to the programs of the Samba software suite. Its purpose is
+smb4k: to provide a program that's easy to use and has as many features as
+smb4k: possible.
+smb4k:
+smb4k: Homepage: http://smb4k.sourceforge.net/
+smb4k:
+smb4k:
+smb4k:
diff --git a/network/smb4k/smb4k.SlackBuild b/network/smb4k/smb4k.SlackBuild
new file mode 100644
index 0000000000..7a3b8dff9b
--- /dev/null
+++ b/network/smb4k/smb4k.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for smb4k
+
+# Copyright 2008-2013 Roberto Neri, Palermo, Italy
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smb4k
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/etc/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf \
+ $PKG/etc/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS ChangeLog COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/smb4k/smb4k.info b/network/smb4k/smb4k.info
new file mode 100644
index 0000000000..24f7f10227
--- /dev/null
+++ b/network/smb4k/smb4k.info
@@ -0,0 +1,10 @@
+PRGNAM="smb4k"
+VERSION="1.1.0"
+HOMEPAGE="http://smb4k.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/smb4k/smb4k-1.1.0.tar.bz2"
+MD5SUM="2ccd1f4eda732654460ff03b77738a96"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="nobody"
+EMAIL="nobody@nowhere"